﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace xamDataChartCustomMarker
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }

    public class TestData
        : ObservableCollection<TestDataItem>
    {
        public TestData()
        {            
            for (int i = 0; i <= 10; i++)
            {
                Add(new TestDataItem()
                {                   
                    ValueX = 100 - i*5,
                    ValueY = 50 - i*2,
                    Radius = i + 10
                });
            }
        }
    }

    public class TestDataItem
    {
        public double ValueX { get; set; }
        public double ValueY { get; set; }
        public double Radius { get; set; }
    }  
}
